%define upstream_name    Test-Kwalitee
%define upstream_version 1.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Test the Kwalitee of a distribution before you release it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-version
BuildRequires:	perl(Capture::Tiny)
BuildRequires:  perl(Module::CPANTS::Analyse)
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:	perl(Module::Pluggable) >= 4.800.0
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::CheckDeps)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Script)
BuildRequires:	perl(Test::Warnings)
BuildRequires:	perl(namespace::clean)
BuildArch:      noarch

%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_bindir}/kwalitee-metrics
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.220.0-7pclos2017
- rebuild against updates

